name: rviz

cmd:
  - start: |
      source_ros
      export ARGS="-d ${RVIZ_CONFIG}"
      if [ -z "$RVIZ_CONFIG" ]; then
        export ARGS=""
      fi;
      
      stdbuf -oL -eL rosrun rviz rviz ${ARGS}
  - check: |
      pgrep rviz
wait: 4
tags:
  - viz
requires:
  - base_system
noauto: true
host: ${laptop}

#original vdemo definition
#"ros_rviz,$laptop, -t rviz_clf_nav -n -x -g ros -v RVIZ_CONFIG=${prefix}/share/tiago_clf_nav/config/rviz.rviz -L 5: "
